<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%> 
<%@ page import="java.sql.Connection"%>
<%@ page import="java.sql.DriverManager"%>
<%@ page import="java.sql.PreparedStatement"%>
<%@ page import="java.sql.ResultSet"%>

<% request.setCharacterEncoding("utf-8");%>
<%
  String id=request.getParameter("id"); // name="id"의 값을 가져와서 String id에 값 저장.
  String password1=request.getParameter("password1"); // name="password1"의 값을 가져와 String password1에 값을 저장.
  String password2=request.getParameter("password2"); // name="password2"의 값을 가져와 String password2에 값을 저장.
   String name=request.getParameter("name"); // name="name"의 값을 가져와 String name에 값을 저장.
   String gender=request.getParameter("gender"); // name="gender"의 값을 가져와 String gender에 값을 저장.
   String birth=request.getParameter("birth"); // name="birth"의 값을 가져와 String birth에 값을 저장.
   String m=request.getParameter("m"); //name="m"의 값을 가져와 String m에 값을 저장.
   String d=request.getParameter("d"); //name="d"의 값을 가져와 String d에 값을 저장.
   String tel=request.getParameter("tel"); //name="tel"의 값을 가져와 String tel에 값을 저장.
   String address1=request.getParameter("address1"); //name="address1"의 값을 가져와 String address1에 값을 저장.
   String address2=request.getParameter("address2"); //name="address2"의 값을 가져와 String address2에 값을 저장.
   String address3=request.getParameter("address3"); //name="address3"의 값을 가져와 String address3에 값을 저장.
   String address4=request.getParameter("address4"); //name="address4"의 값을 가져와 String address4에 값을 저장.
   String email=request.getParameter("email"); // name="email"의 값을 가져와 String email에 값을 저장.
   String mail=request.getParameter("mail"); //name="mail"의 값을 가져와 String mail에 값을 저장.
   String job=request.getParameter("job"); //name="job"의 값을 가져와 String job에 값을 저장.
   String ok=request.getParameter("ok"); //name="ok"의 값을 가져와 String ok에 값을 저장.
   String str=""; 
   String birthresult=birth+"/"+m+"/"+d; //날짜의 형식을 만들기 위해 birthresult에 birth,m,d의 값을 년/월/일 형식으로 만들어 저장
   String addressresult1=address1+"-"+address2; 
   //우편번호 형식을 만들기위해 address1,address2의 값을 address1 - address2의 형식으로 만들어 addressresult1에 저장 
   String addressresult2=address3+" "+address4; //주소와 나머지주소를 합쳐서 보여주기 위해 address3,address4의 값을 addressresult2에 저장 
   String emailresult=email+'@'+mail; // 이메일 형식을 만들기 위해 email @ mail 로 만들어 emailResult에 값을 저장
   
   try{
   Class.forName("oracle.jdbc.driver.OracleDriver");//jdbc 드라이버 load
   Connection conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20162499","980202");//connection 객체 생성
   PreparedStatement pstmt=conn.prepareStatement("insert into member(id,password,name,gender,birth,tel,address1,address2,email,job) values(?,?,?,?,?,?,?,?,?,?)");
   //preparedStatement 객체생성
        pstmt.setString(1,id);//member 테이블 1(id)열에 id 값을 저장
        pstmt.setString(2,password1);//member테이블 2(password)열에 passwoed1 값을 저장
        pstmt.setString(3,name);//member 테이블 3(name)열에 name 값을 저장
        pstmt.setString(4,gender);//member 테이블 4(gender)열에 gender 값을 저장
        pstmt.setString(5,birthresult); //member 테이블 5(birth)열에 birth 값을 저장
        pstmt.setString(6,tel);//member 테이블 6(tel)열에 tel 값을 저장 
        pstmt.setString(7,addressresult1);//member 테이블 7(address1)열에 addressresult1 값을 저장
        pstmt.setString(8,addressresult2); //member 테이블 8(address2)열에 addressresult2 값을 저장
        pstmt.setString(9,emailresult); //member 테이블 9(email)열에 emailresult 값을 저장
        pstmt.setString(10,job); //member 테이블 10(job)열에 job 값을 저장
        
  pstmt.executeUpdate();//executeUpdate()메소드를 사용하여 qury 실행
  pstmt.close();//pstmt close
  conn.close(); //conn close
  str="회원가입을 완료하였습니다";//테이블 레코드 저장 성공시 출력
   }catch(Exception e){
	   e.printStackTrace();
	   str="회원가입에 실패했습니다.";
   } //테이블에 레코드 추가 실패시 출력 catch문으로 예외처리
  %>
<html>
<head>
<meta charset="UTF-8">

<title>로그인</title>
<link href="member.css" rel="stylesheet" type="text/css">

</head>
<body>
<div id="web">
 <div class="top">
 <div class="top_space">
 <div class="top_manu">
 <ul>
 <li>
 <a href="main.jsp"> 
 <span class="homeIcon"></span>메인페이지</a>
    </li>
    <li>
    <a href="loginForm.jsp">
    <span class="loginIcon"></span>로그인</a>
    </li>
    <li>

 <a href="memberForm.jsp"><span class="signIcon"></span>회원가입</a>
 </li>
 </ul>
 </div></div><hr style="border:solid 0.7px #BDBDBD;"></div>

 
  <main id="main">
  <div class="main_bgspace1">
 <div class="main_bgsize1">
  <div class="main_signbg">
  </div>
 </div>
 </div>
   <div class="main_tablespace">
 <div class="main_tablesize">
  <div class="main_table ">
<table border="0" width="500" height="180"  align="center" cellspacing="0" class="text1" >
<tr><td align="center"  style="height:30px;"  ><%=str%></tr></td>
<tr><td><br><input type="button" class="btn2" value="돌아가기 " style="height:60px; width:500px;" onclick="location.href='memberForm.jsp'"></td></tr>
<tr><td><br><input type="button" class="btn2" value="로그인하기 " style="height:60px; width:500px;" onclick="location.href='loginForm.jsp'"></td></tr>
</table>
 </div>
 </div>
 </div>
 </main>
 <bottom id="bottom">
 </bottom>
 </div>
 

 </div>
 </div>
 </div>
 </main>
 <bottom id="bottom">
 </bottom>
 </div>
</body>
</html>
   
   